Bug 188836 - CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
Summary: CVE-2006-1730 CSS Letter-Spacing Heap Overflow Vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 03:33 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0328
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 13:48:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0328 normal SHIPPED_LIVE Critical: firefox security update 2006-04-14 04:00:00 UTC

Description Josh Bressers 2006-04-13 03:33:43 UTC
CSS Letter-Spacing Heap Overflow Vulnerability


An  anonymous  researcher for TippingPoint and the Zero Day Initiative
discovered an integer overflow triggered by the CSS letter-spacing property.
This results in in under-allocating memory and ultimately a heap buffer
overflow which could be exploited to run code of the attacker's choice.

The overflow condition itself does not require JavaScript and thus could
affect Thunderbird via received mail, but without scripting to prepare
memory it may not be possible to exploit this condition in mail.

Workaround

Upgrade to the fixed version.

References

[1]ZDI-06-009
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=325403

Comment 3 Josh Bressers 2006-04-14 15:07:33 UTC
Lifting embargo

Comment 4 Red Hat Bugzilla 2006-04-14 15:51:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html


Comment 5 Red Hat Bugzilla 2006-04-25 13:48:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html



Note You need to log in before you can comment on or make changes to this bug.